Subject: (ngtrans) 6to4 reverse DNS

From: David Terrell <[email-masked]>
Date: Sat, 5 Jan 2002 17:53:44 -0800

I've taken a first stab at implementing a metadatabase for reverse
DNS for 6to4 zones.  It's implemented as an sdb database for bind9.

http://www.meat.net/~dbt/code/rev6to4/

The address must be changed.  2002:si:te:aaaa:aaaa:aaaa:aaaa:aaaa is only
a placeholder.  Is there an acceptable portion of a site's address
space in which to locate this default AAAA record?

-- 
David Terrell            | "Consumerism is neat."
[email-masked]             |         - Brian Swetland
http://wwn.nebcorp.com/  |

---

From: Michael Richardson <[email-masked]>
Date: Sun, 06 Jan 2002 13:52:11 -0500

>>>>> "David" == David Terrell <[email-masked]> writes:
    David> I've taken a first stab at implementing a metadatabase for reverse
    David> DNS for 6to4 zones.  It's implemented as an sdb database for
    David> bind9.

    David> http://www.meat.net/~dbt/code/rev6to4/

    David> The address must be changed.  2002:si:te:aaaa:aaaa:aaaa:aaaa:aaaa
    David> is only a placeholder.  Is there an acceptable portion of a site's
    David> address space in which to locate this default AAAA record?

  Hmm. How about, seems pretty arbitrary!

       2002:si:te:3145:646e:7373:6572:7665 

  (modulo the rules to mark this lower 64 non-globally unique)

]       ON HUMILITY: to err is human. To moo, bovine.           |  firewalls  [
]   Michael Richardson, Sandelman Software Works, Ottawa, ON    |net architect[
] [email-masked] http://www.sandelman.ottawa.on.ca/ |device driver[
] panic("Just another NetBSD/notebook using, kernel hacking, security guy");  [

---

From: David Terrell <[email-masked]>
Date: Mon, 7 Jan 2002 01:34:27 -0800

>   (modulo the rules to mark this lower 64 non-globally unique)

Ugh, U/L.  I think this means the :646e: portion is anded with !:0200:,
which does not change your address...

Is there any work on standard addresses within a subnet that would
be of value here?  I'm finding stuff on reserved anycast, and of
course multicast but multicast comes from a different pool.  This
situation seems fairly unique, because an address must be defined
by standard, since the allocation is done by standard and not by
any explicit delegating body.

-- 
David Terrell            | But remember that "layman" is just a polite 
[email-masked]             | word for "idiot." 
http://wwn.nebcorp.com/  |  - Neal Stephenson